Bug #1688

Openvswitch brcompat deprecation issues

Added by Justice London over 6 years ago. Updated about 6 years ago.

Status:ClosedStart date:12/10/2012
Priority:NormalDue date:
Assignee:Jaime Melis% Done:

0%

Category:Drivers - Auth
Target version:Release 4.0
Resolution: Pull request:
Affected Versions:OpenNebula 3.8

Description

In Ubuntu 12.10 (and going forward all additional versions), the Openvswitch support for brcompat has essentially been removed. Instead, the built-in libvirt support for openvswitch is being used.

It appears that currently opennebula doesn't support this and it causes the following error when attempting to use with a 12.10 system:

2012-12-10 05:15:27.622+0000: 17224: error : virNetDevBridgeAddPort:309 : Unable to add bridge br0 port vnet0: Operation not supported
2012-12-10 05:15:27.642+0000: 17224: error : virNWFilterDHCPSnoopEnd:2113 : internal error ifname "vnet0" not in key map
2012-12-10 05:15:27.647+0000: 17224: error : virNetDevGetIndex:657 : Unable to get index for interface vnet0: No such device

Basically, from what I tracked down opennebula currently only works with brcompat, while instead it should be using the built-in openvswitch type.

Associated revisions

Revision 808dcaed
Added by Jaime Melis about 6 years ago

Bug #1688: Openvswitch brcompat deprecation issues

Revision baa486fa
Added by Jaime Melis over 5 years ago

Bug #1688: Openvswitch brcompat deprecation issues

(cherry picked from commit 808dcaed4825a605c0be5d29831e0d37897f8722)

History

#1 Updated by Ruben S. Montero over 6 years ago

  • Assignee set to Jaime Melis
  • Target version set to Release 4.0

Confirmed. Assigning this to the next release

#2 Updated by Jaime Melis about 6 years ago

  • Category set to Drivers - Auth
  • Status changed from New to Closed

Documentation updated.

Also available in: Atom PDF